## org.apache.bcel.classfile
Class PMGClass

    java.lang.Object
      |
      +--org.apache.bcel.classfile.Attribute
            |
            +--org.apache.bcel.classfile.PMGClass

All Implemented Interfaces:
  java.lang.Cloneable, Node, java.io.Serializable

public final class PMGClass
extends Attribute

This class is derived from Attribute and represents a reference to a PMG attribute.

Version:
  $Id: PMGClass.java,v 1.2 2002/03/11 16:16:35 mdahm Exp $
Author:
  M. Dahm
See Also:
  `Attribute`, Serialized Form

Field Summary

Fields inherited from class org.apache.bcel.classfile.Attribute
`constant_pool, length, name_index, tag`

Constructor Summary
`PMGClass(int name_index, int length, int pmg_index, int pmg_class_index, ConstantPool constant_pool)`
`PMGClass(PMGClass c)` Initialize from another object.

Method Summary
`void` `accept(Visitor v)` Called by objects that are traversing the nodes of the tree implicitely defined by the contents of a Java class.
`Attribute` `copy(ConstantPool constant_pool)`
`void` `dump(java.io.DataOutputStream file)` Dump source file attribute to file stream in binary format.
`int` `getPMGClassIndex()`
`java.lang.String` `getPMGClassName()`
`int` `getPMGIndex()`
`java.lang.String` `getPMGName()`
`void` `setPMGClassIndex(int pmg_class_index)`
`void` `setPMGIndex(int pmg_index)`
`java.lang.String` `toString()`

Methods inherited from class org.apache.bcel.classfile.Attribute
`addAttributeReader, clone, getConstantPool, getLength, getNameIndex, getTag, readAttribute, removeAttributeReader, setConstantPool, setLength, setNameIndex`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PMGClass

    public PMGClass(PMGClass c)

  Initialize from another object. Note that both objects use the same references (shallow copy). Use clone() for a physical copy.

### PMGClass

    public PMGClass(int name_index,
                    int length,
                    int pmg_index,
                    int pmg_class_index,
                    ConstantPool constant_pool)

Parameters:
  `name_index` - Index in constant pool to CONSTANT_Utf8
  `length` - Content length in bytes
  `constant_pool` - Array of constants

Method Detail

### accept

    public void accept(Visitor v)

  Called by objects that are traversing the nodes of the tree implicitely defined by the contents of a Java class. I.e., the hierarchy of methods, fields, attributes, etc. spawns a tree of objects.

  Specified by:
    `accept` in interface `Node`
  Specified by:
    `accept` in class `Attribute`
  Parameters:
    `v` - Visitor object

### dump

    public final void dump(java.io.DataOutputStream file)
                    throws java.io.IOException

  Dump source file attribute to file stream in binary format.

  Overrides:
    `dump` in class `Attribute`
  Parameters:
    `file` - Output file stream
  Throws:
    `java.io.IOException`

### getPMGClassIndex

    public final int getPMGClassIndex()

  Returns:
    Index in constant pool of source file name.

### setPMGClassIndex

    public final void setPMGClassIndex(int pmg_class_index)

### getPMGIndex

    public final int getPMGIndex()

  Returns:
    Index in constant pool of source file name.

### setPMGIndex

    public final void setPMGIndex(int pmg_index)

### getPMGName

    public final java.lang.String getPMGName()

  Returns:
    PMG name.

### getPMGClassName

    public final java.lang.String getPMGClassName()

  Returns:
    PMG class name.

### toString

    public final java.lang.String toString()

  Overrides:
    `toString` in class `Attribute`
  Returns:
    String representation

### copy

    public Attribute copy(ConstantPool constant_pool)

  Specified by:
    `copy` in class `Attribute`
  Returns:
    deep copy of this attribute

Copyright © 2002-2003 Apache Software Foundation. All Rights Reserved.